# isoLayer (Synthetic)

## Supported features

| Syntetic backup            | Supported                                                                                                                                     |
| -------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| Random Access              | Supported                                                                                                                                     |
| Deduplication              | Requires manual configuration on the underlying filesystem, which eventually exposes the filesystem with reflink/sparse files support for NFS |
| Encryption                 | Not supported                                                                                                                                 |
| Pre/post command execution | Supported                                                                                                                                     |

## Prerequisites

You need a NFS server with storage with XFS filesystem to properly configure isoLayer Backup Destination in Storware Backup & Recovery.

## Preparation

1. On NFS server we need to create NFS share, for example:

   ```
   mkdir /NFS
   ```
2. Edit file `/etc/exports` to add access to this share:

   ```
   /NFS SBR_NODE_IP(rw,sync,no_all_squash,no_root_squash)
   ```

   Where SBR\_NODE\_IP is IP of Storware Backup & Recovery Node, which will have access to this share
3. Generate new SSH keys, without any password:

   ```
   ssh-keygen 
   Generating public/private rsa key pair.
   Enter file in which to save the key (/root/.ssh/id_rsa): 
   Enter passphrase (empty for no passphrase): 
   Enter same passphrase again: 
   Your identification has been saved in /root/.ssh/id_rsa.
   Your public key has been saved in /root/.ssh/id_rsa.pub.
   The key fingerprint is:
   SHA256:H2NJwORiG3oJDm78sKEx4EuOzIm13vUsJ6NfMOPVgt0 root@vpro43-vmware
   The key's randomart image is:
   +---[RSA 3072]----+
   |       oo        |
   |       ...       |
   |. . . + . .      |
   |oo o + B + .     |
   |ooB o O S E      |
   |B*o* o = + o     |
   |+*o . o . .      |
   | . . .++.        |
   |  . oo.=o        |
   +----[SHA256]-----+
   ```
4. Add new public key to `/root/.ssh/authorized_keys` file

   ```
   cat /root/.ssh/id_rsa.pub > /root/.ssh/authotized_keys
   ```
5. Copy generated private key (id\_rsa) to Storware Backup & Recovery Node host

   ```
   scp /root/.ssh/id_rsa root@SBR_NODE_IP:/opt/vprotect/.ssh/
   ```
6. SSH to Storware Backup & Recovery Node and change owner of this file:

   ```
   chown vprotect:vprotect /opt/vprotect/.ssh/id_rsa
   ```
7. Connect from Storware Backup & Recovery Node to NFSs:

   ```
   ssh -i /opt/vprotect/.ssh/id_rsa root@NFSs
   ```

   accept new fingerprint and exit from remote session
8. Copy last line from `/root/.ssh/known_hosts` file into `/opt/vprotect/.ssh/known_hosts` file
9. Configure isoLayer connection. Edit `/opt/vprotect/scripts/isoLayer/config` file:

   ```
   vi /opt/vprotect/scripts/isoLayer/config)
   NFS_HOST=NFS4.2_HOST_IP
   SSH_USER=root
   SSH_KEY=~/.ssh/id_rsa
   NFS_HOST_PATTERN=NODE_IP
   NFS_ROOT=PATH_FOR_MOUNT_POINTS
   NFS_OPTS=rw,sync,insecure,no_root_squash,no_subtree_check
   ```

   where:

   `NFS_HOST` - IP address of NFS server

   `NFS_HOST_PATTERN` - IP address (CIDR) of NFS server, for example: 10.10.0.0/24

   `NFS_ROOT` - NFS server share path, where we want to store our backups, for example /NFS/backup

## Creating isoLayer backup destination

1. Login into Storware Backup & Recovery UI.
2. From menu on the left, select **Backup Destinations** -> **File System**.
3. On the right, click **Create Backup Destination** button and choose **isoLayer (Synthetic)**.
4. In new window:

   * type name for the backup destination
   * select Node Configurations
   * provide backup destination path – this is place, where from Storware Backup & Recovery Node perspective, isoLayer will be temporary mount share from NFS server
   * Check if pre and post scripts are active, and correct paths are provided like in example:

   ![](/files/1lHxY0pKAmpoUyzdlGBd)

   * Click **Save** button
5. Now you can use this isoLayer connection to store your backup.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/deployment/backup-destinations/filesystem/isolayer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
